wmfrog(1)

NAME
wmfrog - a dockapp for showing weather in graphical way

SYNOPSIS
wmfrog [options] -station <METAR station id>

OPTIONS

-delay minutes
    Override time (in minutes) between updates. Default is 15.

-m, -metric
    Display Temperature in metric unit: Celsius.

-o offset
    Time offset of location from UTC. Positive or negative integer expressed in hours, like +1 or -7.

-s, -station
    Required option. The 4-character METAR Station ID. See http://en.wikipedia.org/wiki/METAR

-w knots
    Set the maximum wind in KNOTS for percentage of max / scaling. Default is 50 Knots.

-tmp directory
    Set the temporary directory where the METAR data files are downloaded Default is /tmp.

-l label
    Set displayed text to 4 character (max) label to replace the METAR station id.

DESCRIPTION
A dockapp for weather reports. Includes clouds (clear, few, scattered, broken, overcast ...); Precipitations (drizzle, rain, snow, ice crystals: light/moderate or heavy); Special weather (Blowing wind / Freezing / Thunderstorm, funnel cloud...); Humidity percentage; Wind speed (average & gust); Wind Direction; Temperature (Celsius or Fahrenheit); Station name can be configured and weather report time is displayed.

To find out more about the METAR/TAF system, see http://nws.noaa.gov/ops2/Surface/metar_taf.htm

To find your city Metar code go to http://www.nws.noaa.gov/tg/siteloc.php

FILES

/tmp/<station-id>/
    Stored data files. The directory can be changed with option -tmp

AUTHORS
program was written by Thibaut Colar <tcolar@colar.net>.

This manual page is based on 0.1.6 version of the program. Updated by Jari Aalto <jari.aalto@cante.net> and Doug Torrance <dtorrance@monmouthcollege.edu>. Released under license GNU GPL v2 or (at your option) any later version. For more information about license, visit <http://www.gnu.org/copyleft/gpl.html>.